"""global_constants module for EWOK.

Copyright (C) 2022 Theodore B. Ruegsegger
See LICENSE file for terms of use.
"""

from math import pi

# Drawing parameters:

DEFAULT_USER_UNIT = "ft"
DEFAULT_PIXELS_PER_UNIT = 100

# Rounding:

DEFAULT_PRECISION = 4

# Trigonometry

DEGREES_PER_RADIAN = 180/pi
RADIANS_5_DEGREES = pi/36

# Cursor Shapes

# DEFAULT_CURSOR = "left_ptr"
DEFAULT_CURSOR = "crosshair"
DELETE_CURSOR = "pirate"
ANIMATE_CURSOR = "exchange"
EDIT_CURSOR = "pencil"

# Colors

DESIGN_TASK_COLOR = "sky blue"
ANIMATE_TASK_COLOR = "gold"
SKETCH_COUPLER_TASK_COLOR = "dodger blue"
SKETCH_FIXED_TASK_COLOR = "lime green"
FIXED_PLANE_COLOR = "forest green"
DESIGN_POSITION_COLOR = "deep sky blue"
ALT_POSITION_COLOR = "Gray"
HIGHLIGHT_COLOR = "Red"
K_LOCUS_COLOR = DESIGN_POSITION_COLOR
M_LOCUS_COLOR = FIXED_PLANE_COLOR
S_LOCUS_COLOR = DESIGN_POSITION_COLOR
# M_LOCUS_COLOR = "DarkGreen"
ANIMATION_COLOR = "Blue"
STATUS_DEFAULT_COLOR = "LightGreen"
BG_HIGHLIGHT_COLOR = "Yellow"
POLE_COLOR = "DarkOrange1"

